Subject: bug#79245: closed (Re: bug#79245: 30.2; Mouse selections broken on `emoji-insert' (C-x 8 e e))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Aug 2025 20:10:02 +0000

Your bug report

#79245: 30.2; Mouse selections broken on `emoji-insert' (C-x 8 e e)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79245: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79245
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#79245: 30.2; Mouse selections broken on `emoji-insert' (C-x 8 e e)
From: Alcor <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Fri, 15 Aug 2025 22:09:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 15 Aug 2025 18:38:45 +0200
>> From:  Alcor via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> PS: Sorry for the duplicate messages (if any arrived). I did a wide
>> reply to bug#76680 (which is closed) by mistake earlier.
>
> It wasn't a mistake.  A bug that is closed doesn't mean you cannot
> post to it.  We can reopen if needed, but even if we don't, we can
> keep discussing the issue of a closed bug.
>
> Opening a new bug was a mistake.

debbugs rejected my message to [email-masked] though :(

I've read through the documentation a bit, so I'll try reopening it via
control messages (not sure if I'm allowed to do that, but I'll give it a
shot).

I'll close this one.

Subject: 30.2; Mouse selections broken on `emoji-insert' (C-x 8 e e)
From: Alcor <[email-masked]>
To: [email-masked]
Date: Fri, 15 Aug 2025 18:38:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Note: This is a followup to bug#76680 (on Emacs 30.1), which is similar,
except for that fact that using upstream transient.el works as a
workaround this time (with Emacs 30.2).

Start graphical Emacs (pgtk or X), and:

1. Open any buffer where you can input text (e.g. `fundamental-mode')
2. Hit C-x 8 e e (`emoji-insert')
3. Using the mouse, click on any of the choices presented in the
transient menu that appears (e.g. "Activities")

A short video depicting the above is attached.

Expected behavior:

The selected menu item is chosen/accepted.

Observed behavior:

IF you're using the transient.el bundled with Emacs 30.2 (0.7.2.2): You
will always be redirected to the "Recent" suffix instead of the choice
you selected.

IF you're using the newest transient.el from ELPA (0.9.4 at the time of
writing), everything works fine.

PS: Sorry for the duplicate messages (if any arrived). I did a wide
reply to bug#76680 (which is closed) by mistake earlier.

In GNU Emacs 30.2 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.41,
 cairo version 1.18.0) of 2025-08-15 built on lcy02-amd64-116
Repository revision: 32909ac267415e06a8b18a8b89827d7bbf180b58
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12302006
System Description: Ubuntu 24.04.2 LTS

Configured using:
 'configure --prefix=/snap/emacs/current/usr --with-x-toolkit=gtk3
 --without-xaw3d --with-modules --with-cairo
 --with-native-compilation=aot --without-pgtk --with-xinput2
 --with-tree-sitter 'CFLAGS=-isystem
 /build/emacs/parts/emacs/install/usr/include -isystem
 /build/emacs/parts/emacs/install/usr/include/x86_64-linux-gnu -isystem
 /build/emacs/stage/usr/include -O2' 'CPPFLAGS=-isystem
 /build/emacs/parts/emacs/install/usr/include -isystem
 /build/emacs/parts/emacs/install/usr/include/x86_64-linux-gnu -isystem
 /build/emacs/stage/usr/include'
 'LDFLAGS=-L/build/emacs/parts/emacs/install/lib
 -L/build/emacs/parts/emacs/install/usr/lib
 -L/build/emacs/parts/emacs/install/lib/x86_64-linux-gnu
 -L/build/emacs/parts/emacs/install/usr/lib/x86_64-linux-gnu
 -L/build/emacs/stage/usr/lib''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP
NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  whitespace-mode: t
  display-line-numbers-mode: t
  goto-address-mode: t
  which-key-mode: t
  winner-mode: t
  windmove-mode: t
  recentf-mode: t
  global-auto-revert-mode: t
  fido-vertical-mode: t
  icomplete-vertical-mode: t
  icomplete-mode: t
  fido-mode: t
  desktop-save-mode: t
  minibuffer-depth-indicate-mode: t
  delete-selection-mode: t
  repeat-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  minibuffer-regexp-mode: t
  column-number-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-xdcc hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-xdcc
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-truncate hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-truncate
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-track hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-track
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-status-sidebar hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-status-sidebar
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-stamp hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-stamp
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-spelling hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-spelling
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-speedbar hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-speedbar
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-sound hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-sound
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-services hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-services
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-sasl hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-sasl
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-ring hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-ring
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-replace hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-replace
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-pcomplete hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-pcomplete
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-page hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-page
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-notify hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-notify
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-nicks hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-nicks
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-networks hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-networks
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-netsplit hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-netsplit
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-menu hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-menu
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-match hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-match
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-log hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-log
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-loaddefs hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-loaddefs
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-list hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-list
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-lang hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-lang
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-join hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-join
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-imenu hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-imenu
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-identd hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-identd
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-ibuffer hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-ibuffer
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-goodies hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-goodies
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-fill hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-fill
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-ezbounce hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-ezbounce
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-desktop-notifications hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-desktop-notifications
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-dcc hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-dcc
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-compat hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-compat
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-common hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-common
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-capab hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-capab
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-button hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-button
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-backend hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-backend
/home/alcor/.emacs.d/elpa/erc-5.6.1snapshot0.20250727.195728/erc-autoaway hides /snap/emacs/current/usr/share/emacs/30.2/lisp/erc/erc-autoaway

Features:
(shadow sort mail-extr gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime
smime gnutls dig gnus-sum shr pixel-fill kinsoku url-file svg dom
gnus-group gnus-undo gnus-start gnus-dbus dbus xml gnus-cloud nnimap
nnmail mail-source utf7 nnoo parse-time iso8601 gnus-spec gnus-int
gnus-range gnus-win emacsbug message yank-media puny dired
dired-loaddefs rfc822 mml mml-sec epa derived epg rfc6068 epg-config
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums disp-table whitespace
display-line-numbers goto-addr thingatpt gnus nnheader gnus-util
text-property-search time-date mail-utils range mm-util mail-prsvr
doom-themes-ext-org doom-themes-ext-visual-bell face-remap
doom-nord-theme pcase doom-themes doom-themes-base which-key finder-inf
use-package-ensure winner ring windmove recentf tree-widget autorevert
filenotify icomplete desktop frameset mb-depth delsel repeat edmacro
kmacro use-package-bind-key bind-key easy-mmode cus-edit pp cus-load
wid-edit use-package-core site-start comp comp-cstr cl-extra help-mode
comp-common warnings rx doom-themes-autoloads erc-irc-format-autoloads
info erc-autoloads markdown-mode-autoloads rainbow-delimiters-autoloads
package browse-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie generate-lisp-file url-domsuf url-util mailcap
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs icons
password-cache json subr-x map byte-opt gv bytecomp byte-compile
url-vars cl-loaddefs cl-lib rmc iso-transl tooltip cconv eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd touch-screen tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo gtk
x-toolkit xinput2 x multi-tty move-toolbar make-network-process
native-compile emacs)

Memory information:
((conses 16 500211 21401) (symbols 48 25033 0)
 (strings 32 136534 4578) (string-bytes 1 3370541) (vectors 16 36475)
 (vector-slots 8 439467 11045) (floats 8 528 8752)
 (intervals 56 401 0) (buffers 992 10))